Skip to main content
GET
/
v1
/
dexpools
/
{chain}
/
{poolAddress}
DexPool - Detail
curl --request GET \
  --url https://api.chainstream.io/v1/dexpools/{chain}/{poolAddress} \
  --header 'Authorization: Bearer <token>'
{
  "chain": "sol",
  "poolAddress": "58oQChx4yWmvKdwLLZzBi4ChoCc2fqCUWBkwMihLYQo2",
  "tokenAAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
  "tokenBAddress": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
  "programAddress": "whirLbMiicVdio4qvUfM5KAg6Ct8VwpYzGff3uctyCc",
  "protocolFamily": "OrcaWhirpool",
  "image": "https://ipfs.io/ipfs/bafkreid7667676767676767676767676767676767676767676767676767676767676767",
  "protocolName": "OrcaWhirpool AMM V2",
  "tvlInUsd": "1000000.45",
  "tvlInSol": "1000000.45",
  "type": 1,
  "version": 2,
  "liquidityModel": 1,
  "feeRate": "0.003",
  "tickSpacing": 64,
  "tokenCount": 2,
  "createdBlockTimestamp": "2024-01-15T10:30:00Z",
  "tokenALiquidity": {
    "tokenAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
    "decimals": 6,
    "vaultAmount": "1000000000000",
    "amountInUsd": "1000000.45",
    "amountInNative": "5000.123",
    "priceUsd": "1.0001",
    "priceNative": "0.005"
  },
  "tokenBLiquidity": {
    "tokenAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
    "decimals": 6,
    "vaultAmount": "1000000000000",
    "amountInUsd": "1000000.45",
    "amountInNative": "5000.123",
    "priceUsd": "1.0001",
    "priceNative": "0.005"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chain
enum<string>
required

A chain name listed in supported networks

Available options:
sol,
bsc,
eth
poolAddress
string
required

A pool address

Example:

"58oQChx4yWmvKdwLLZzBi4ChoCc2fqCUWBkwMihLYQo2"

Response

200 - application/json
chain
string
required

Blockchain

Example:

"sol"

poolAddress
string
required

Pool address

Example:

"58oQChx4yWmvKdwLLZzBi4ChoCc2fqCUWBkwMihLYQo2"

tokenAAddress
string
required

First token in the pool

Example:

"EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v"

tokenBAddress
string
required

Second token in the pool

Example:

"Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB"

programAddress
string

DEX program address

Example:

"whirLbMiicVdio4qvUfM5KAg6Ct8VwpYzGff3uctyCc"

protocolFamily
string

DEX protocol family

Example:

"OrcaWhirpool"

image
string

DEX logo image URL

Example:

"https://ipfs.io/ipfs/bafkreid7667676767676767676767676767676767676767676767676767676767676767"

protocolName
string

DEX protocol name

Example:

"OrcaWhirpool AMM V2"

tvlInUsd
string

Total value locked in USD

Example:

"1000000.45"

tvlInSol
string

TVL in SOL

Example:

"1000000.45"

type
enum<number>

Pool type (0=unknown, 1=standard, 2=concentrated, 3=weighted, 4=stable)

Available options:
0,
1,
2,
3,
4
Example:

1

version
enum<number>

Pool version (0=unknown, 1=V1, 2=V2, 3=V3/CLMM)

Available options:
0,
1,
2,
3
Example:

2

liquidityModel
enum<number>

Liquidity model (0=unknown, 1=reserve_based, 2=position_based, 3=virtual, 4=shared)

Available options:
0,
1,
2,
3,
4
Example:

1

feeRate
string

Pool fee rate (e.g., 0.003 for 0.3%)

Example:

"0.003"

tickSpacing
integer<int64>

Tick spacing for concentrated liquidity pools

Example:

64

tokenCount
integer<int64>

Number of tokens in pool

Example:

2

createdBlockTimestamp
string

Block timestamp when pool was created

Example:

"2024-01-15T10:30:00Z"

tokenALiquidity
object

First token liquidity details

tokenBLiquidity
object

Second token liquidity details